Package net.sf.robocode.util

# Class UrlUtil

java.lang.Object
net.sf.robocode.util.UrlUtil

public class UrlUtil extends Object
Utility class used for working on URLs.

Author:
  Flemming N. Larsen (original)

## Constructor Summary

Constructors
Constructor
Description
`UrlUtil()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`removeFileExtension(String fileName)`
Removes a file extension from a string containing a file name, e.g.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UrlUtil

public UrlUtil()

## Method Details

### removeFileExtension

public static String removeFileExtension(String fileName)
Removes a file extension from a string containing a file name, e.g. the string "filename.ext" would become using this method "filename".

Parameters:
  `fileName` - is a string containing a file name with an extension to remove.
Returns:
  a new string where the file extension has been removed from the file name. If no extension is found, the input file name is returned.